summaryrefslogtreecommitdiffstats
path: root/apache/httpd
diff options
context:
space:
mode:
Diffstat (limited to 'apache/httpd')
-rw-r--r--apache/httpd71
1 files changed, 71 insertions, 0 deletions
diff --git a/apache/httpd b/apache/httpd
new file mode 100644
index 0000000..fa84eff
--- /dev/null
+++ b/apache/httpd
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+daemon_name=httpd
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+
+case "$1" in
+ start)
+ stat_busy "Starting $daemon_name daemon"
+ # RUN
+ /usr/sbin/apachectl start &>/dev/null
+ #
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ add_daemon $daemon_name
+ stat_done
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping $daemon_name daemon"
+ # KILL
+ /usr/sbin/apachectl stop &>/dev/null
+ #
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ rm_daemon $daemon_name
+ stat_done
+ fi
+ ;;
+
+ reload)
+ stat_busy "Reloading $daemon_name daemon"
+ /usr/sbin/apachectl graceful &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ add_daemon $daemon_name
+ stat_done
+ fi
+ ;;
+
+ restart)
+ stat_busy "Restarting $daemon_name daemon"
+ /usr/sbin/apachectl restart &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ add_daemon $daemon_name
+ stat_done
+ fi
+ ;;
+
+ status)
+ stat_busy "Checking $daemon_name status";
+ ck_status $daemon_name
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|reload|restart|status}"
+esac
+
+exit 0